QGIS Application - Feature request #12150
check/fix vector layers before geoprocessing operations
2015-02-07 03:19 PM - Bogdan Hlevca

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 20343
Description

new description:
qgis (the underlying libraries) is less forgiving then other programs when it comes to do geospatial operations (clips, intersections, etc.)
when the input(s) have geometry issues. It would be nice to have an option to have them checked before running any of those operations,

throwing a warning and/or cleaning them on the fly (options are not missing, lwgeom, pprepair).

old description:
Currently QGIS silently creates an empty layer if there are topology issues with the clipping layer. See #12144.

QGIS should at least issue an error with the description of the problem or fix the problem if possible.

History

#1 - 2015-02-09 12:54 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to Vectors

- Subject changed from Clipping , intersection and perhaps other operations should check the integrity of the vector layer to check/fix vector layers
before geoprocessing operations

#2 - 2016-05-24 10:47 PM - Alexander Bruy
- Category changed from Vectors to Processing/Core

#3 - 2016-08-23 06:57 AM - Alexander Bruy
- Resolution set to wontfix

- Status changed from Open to Closed

You can easily achieve this by creating pre-execution script or models

2025-04-26 1/1




